# Andlytics

This repository contains the source code for the Andlytics Android app.

<a href="https://play.google.com/store/apps/details?id=com.github.andlyticsproject" alt="Download from Google Play">
  <img src="http://www.android.com/images/brand/android_app_on_play_large.png">
</a>

![](https://lh4.ggpht.com/ckVylBqx0sS1b-KW99qkg7NYuDNRGGstnZKsw-qe3TnpUOH4em5cH-8QuPXs2NQj9Nou=w705)

Please see the [issues](https://github.com/AndlyticsProject/andlytics/issues) section to
report any bugs or feature requests and to see the list of known issues.

## License

     Copyright 2012 Timelappse
     Copyright 2012 Andlytics Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

# Description

Andlytics collects statistics from the Google Play Developer Console. It lets you track active installs, total installs, ratings, and comments for all your Android apps that are published on Google Play.

Andlytics can also collect AdMob statistics, including revenue, requests and impressions. It supports background syncing of stats and notifications for when changes occur.

Google does not provide a public API for collecting statistics. Therefore, if Google makes a change to the site it may cause Andlytics to stop working. In that case please be patient while we try to catch up.

Andlytics is open source, please feel free to contribute via GitHub.

Andlytics is not associated with Google in any way.

"Google Apps for Business" and Multi-connected developer accounts are not supported yet. If you have one of these accounts, contact us via GitHub and help us to add support.

On some devices AdMob accounts keep disappearing, moving Andlytics from sdcard to internal storage might fix this.

For AdMob accounts that are linked to a Google Account you can find the API password on the Account Information page http://www.admob.com/my_account/account_info.

Keywords: Developer console, developer tools, android developers

## Nightly builds

* http://andlytics.schoentoon.com/andlytics.apk

You can check which commit it's build from at http://andlytics.schoentoon.com/latest_version and it'll get updated everynight just past midnight (GMT +1)

## Contributing

Please fork this repository and contribute back using
[pull requests](https://github.com/AndlyticsProject/andlytics/pulls).

The 'master' branch should always be in a stable, tested, and ready to go state so that we can implement quick fixes when Google breaks the 'API'. Therefore, all pull requests should be based on, and targeted to, the ['dev'](https://github.com/AndlyticsProject/andlytics/tree/dev) branch.

When submitting code, please try to be consistent with the code around you. As a general rule:
1. Use Tabs, not spaces
2. Aim for a maximum line length of 100, unless it looks better being on a single line

Any contributions, large or small, major features, bug fixes, unit/integration tests are welcomed and appreciated, but will be thoroughly reviewed and discussed.

Translations should be done via [crowdin.net](http://crowdin.net/project/andlytics).
